GCLOUD_DATAPROC_JOBS_UPDATE(1)

NAME

gcloud dataproc jobs update - update the labels for a job

SYNOPSIS

gcloud dataproc jobs update JOB_ID [--region=REGION] [--remove-labels=[KEY,...]] [--update-labels=[KEY=VALUE,...]] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Update the labels for a job.

POSITIONAL ARGUMENTS

    JOB_ID
        The ID of the job to describe.

FLAGS

    --region=REGION
        Specifies the Cloud Dataproc region to use. Each Cloud Dataproc region constitutes an independent resource namespace constrained to deploying instances into Google Compute Engine zones inside the region. The default value of "global" is a special multi-region namespace which is capable of deploying instances into all Google Compute Engine zones globally, and is disjoint from other Cloud Dataproc regions. Overrides the default dataproc/region property value for this command invocation.

    --remove-labels=[KEY,...]
        A list of label keys to remove. If a label does not exist it is silently ignored.

    --update-labels=[KEY=VALUE,...]
        A list of label KEY=VALUE pairs to update. If a label exists its value is modified, otherwise a new label is created.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To add the label 'customer=acme' to a job , run:
    $ gcloud dataproc jobs update job_id --update-labels=customer=acme
To update the label 'customer=ackme' to 'customer=acme', run:
    $ gcloud dataproc jobs update job_id --update-labels=customer=acme
To remove the label whose key is 'customer', run:
    $ gcloud dataproc jobs update job_id --remove-labels=customer